Packages - Packaging Request #2411

GNU IceCat has been updated to the version 60.7.0
2019-08-05 09:22 PM - eliotime3000

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Greetings.

The GNU IceCat browser has been updated to the version 60.7.0.
According to the maillist bulletin, here we have the following news:

* Added extra build fail-safes

* Do not include the Debian package specifics

* Corrected description for "tracking protection" on on-boarding page
* Hardened privacy settings: spoof referrers by default, isolate requests to first party origin, a
nd disable sending the origin header to the HTTP server.

* Updated extensions bundle:

"LibreJS" updated to 7.19rc3, Now with Android support!

— Added "ViewTube" + "disable-polymer-youtube" extensions, which allow to browse and play YouTube
videos without JavaScript

- "TorButton" updated to 0.1.

— "HTTPS Everywhere" updated to 2019.1.31

— Improved interface for "Reveal hidden HTML"
— "Third Party Request Blocker" configured to allow requests sub-domains of the same site, known C
DN servers (this is fine since we don't send referrers or origin headers), CSS files, and YouTube
resource servers.

In any case that wants to check out the avariable release, the GIT and FTP repos have avariable the quoted version.

https://lists.gnu.org/archive/html/bug-gnuzilla/2019-06/msg00000.html

Thanks.

History

#1 - 2019-08-06 12:36 AM - freemor

Already in the works. I'm in a testing version of it... need To bring bill-auger's good work with the searchengines over
and check for any other glitches, etc.

#2 - 2019-08-13 07:40 AM - bill-auger

for some reason libremakepkg can not validate the upstream source-ball for v60.7.0 - if i check the signature with gpg, it is fine

#3 - 2019-08-13 12:13 PM - freemor
- File PKGBUILD added

The GPG signing key changed between last build and this,

I'll attach my WIP PKGBUILD. It builds but with problematic
search engines still in

You'll need to import the new key into your GPG keychain

#4 - 2019-11-22 02:08 PM - bill-auger

- Assignee set to bill-auger

v60 is in libre now
https://lists.gnu.org/archive/html/bug-gnuzilla/2019-06/msg00000.html

#5 - 2019-11-22 02:08 PM - bill-auger

- Status changed from open to fixed

Files

PKGBUILD 8.53 KB 2019-08-13 freemor
